# Single High Cap BDS Plot Script v1.1 October 2012
##Added Wintersteiger Sub Sampler commands for right hopper
#DELTA with autom. sampletaker  15 July 2013

actuator_control.close(aux)

# Get the weight and moisture readings from the analog module
if device.MoistureEnabled:
   data_control.get_weight_and_moisture()
else:
   data_control.get_weight()

# Open the right hopper to trigger sampler on Delta combine
actuator_control.open(right)

# BDS Test Weight
if device.TestWeightEnabled:
   # Open plot bucket - there is no need to wait after it is open
   actuator_control.open(plot, open_state_time = 0) 

   actuator_control.open(bds_wiper)
   data_control.get_test_weight()
   actuator_control.close(bds_wiper)
   actuator_control.open(bds_cup)
   actuator_control.multiple([(bds_cup, CLOSE), (plot, CLOSE)])
else:
   actuator_control.cycle(plot)

# Close the right hopper
actuator_control.close(right) 

#### Check Tare ####
tare_control.check_tare(check_moisture=device.MoistureEnabled, check_test_weight=device.TestWeightEnabled)

actuator_control.open(aux)